import ajax from "@/libs/Ajax";

export default {
  // 查询
  queryBusinessInfo(params) {
    return ajax.get(`/Business/BusinessInfo/queryBusinessInfo`, {
      params
    });
  },
  //详情
  getBusiness(name) {
    return ajax.get(`/Business/BusinessInfo/getfilecount`, {
      params: {
        name
      }
    });
  },
  //模板
  getBusinessinfo(name) {
    return ajax.get(`/Business/BusinessInfo/getfileinfo`, {
      params: {
        name
      }
    });
  },
  // 删除公告数据
  delBusinessInfo(name, pageNum, pageSize) {
    return ajax.delete(`/Business/BusinessInfo/delfileInfo`, {
      params: {
        name
      }
    });
  },
  //保存
  saveBusInfo(data) {
    return ajax.post(`/Business/BusinessInfo/saveBusinessInfo`, data);
  }
};
